# vue-servicecontainer

## Install

    npm i vue-servicecontainer --save

## Usage

Where you setup your `Vue` instance require the plugin and tell vuejs to use it
    
    let ContainerPlugin = require('vue-servicecontainer');

    ...

     Vue.use(ContainerPlugin, {
        data : require('./Mock/service.json'),
        path : __dirname+"/Mock/"
    });
    let vue = new Vue();

You have to configure two properties when you want to use the plugin.
The first one 'data' contains the json structure of your service file.

The path is the path to the json file. This is used to construct the path to your required service in order to 
instanciate the correct class.

Your json should look something like this:


    {
        "parameters" : {
            "myParam" : "Hello World"
        },

        "services" : {
            "testService" : {
                "file" : "./TestService.js",
                "arguments" : [ "%myParam%"]
            },

             "otherTestService" : {
                "file" : "./OtherTestService.js",
                "arguments" : [ "@testService"]
            }
        }
    }

Now in your vuejs components you can access the services like this:

    this.$container.get('testService').myMethod()

Or you can access a parameter

    this.$container.getParameter('myParam')
    